import excel "C:\IPT Data\Dataset.xlsx", sheet("Sheet1") firstrow
gen follow_up_time=( last_visit_date- enrollment_date)/360
tabstat age, statistics( median min max )
tabstat follow_up_time, statistics( median p25 p75 )
tabstat CD4_continous, statistics( median ) by(Intervention) columns(statistics)
tab TB
tab INH_timing if INH=="Yes"
gen IPT=0 if INH=="No"
replace IPT=1 if INH=="Yes"
gen AGE=0 if age<15
replace AGE=1 if age>=15 & age<49
replace AGE=2 if age>=49
gen SEX=0 if sex=="Female"
replace SEX=1 if sex=="Male"
gen STAGE=0 if WHO_stage=="I or II"
replace STAGE=1 if WHO_stage=="III or IV"
gen CTX=0 if Cotrimoxazol=="No"
replace CTX=1 if Cotrimoxazol=="Yes"
gen CD4=0 if Baseline_CD4=="<100"
replace CD4=1 if Baseline_CD4=="100-199"
replace CD4=2 if Baseline_CD4=="200-349"
replace CD4=3 if Baseline_CD4==">349"
gen ART=0 if ARTinitiation=="No"
replace ART=1 if ARTinitiation=="Yes"
cs IPT AGE
cs IPT SEX
cs IPT STAGE
cs IPT CD4
cs IPT CTX
cs IPT ART



